# Ds\Deque::isEmpty

(PECL ds >= 1.0.0)

Ds\Deque::isEmpty — Returns whether the deque is empty

### Description

public Ds\Deque::isEmpty ( void ) : bool

Returns whether the deque is empty.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the deque is empty, `FALSE` otherwise.

### Examples

Example #1 Ds\Deque::isEmpty() example

`<?php
$a = new \Ds\Deque([1, 2, 3]);
$b = new \Ds\Deque();
var_dump($a->isEmpty());
var_dump($b->isEmpty());
?>`

The above example will output something similar to:

    bool(false)
    bool(true)